import codecs


def ExtraireLignesFichier_ISO8859_1(nomfic):
    fichier = codecs.open(nomfic, "r",encoding="latin_1")
    liste_mots = fichier.readlines()    # met tous les mots du fichier dans une liste
    fichier.close()
    return liste_mots

def ExtraireLignesFichier_UTF8(nomfic):
    fichier = codecs.open(nomfic, "r",encoding="utf_8")
    liste_mots = fichier.readlines()    # met tous les mots du fichier dans une liste
    fichier.close()
    return liste_mots

def ExtraireLignesFichier_ASCII(nomfic):
    fichier = codecs.open(nomfic, "r",encoding="ascii")
    liste_mots = fichier.readlines()    # met tous les mots du fichier dans une liste
    fichier.close()
    return liste_mots


def NombreCaractères(liste):
    nb = 0
    for element in liste:
        nb += len(element)
    return nb


#---------------------------
#   Programme principal
#---------------------------
print("------------------------------------------------------------------------")
print(" Texte en ASCII ")
print("------------------------------------------------------------------------")
liste_lignes_ascii =  ExtraireLignesFichier_ASCII("fable_ascii.txt")
for element in liste_lignes_ascii:
    print(element,end='')
print("\n")
print("                                    Total : ",NombreCaractères(liste_lignes_ascii), "caractères")
    
print("------------------------------------------------------------------------")
print(" Texte en ISO 8859-1 ")
print("------------------------------------------------------------------------")
liste_lignes_iso =  ExtraireLignesFichier_ISO8859_1("fable_iso88591.txt")
for element in liste_lignes_iso:
    print(element,end='')
print("\n")
print("                                    Total : ",NombreCaractères(liste_lignes_iso), "caractères")    

print("------------------------------------------------------------------------")
print(" Texte en UTF-8 ")
print("------------------------------------------------------------------------")
liste_lignes_utf =  ExtraireLignesFichier_UTF8("fable_utf8_simple.txt")
for element in liste_lignes_utf:
    print(element,end='')
print("\n")
print("                                    Total : ",NombreCaractères(liste_lignes_utf), "caractères")    

print("------------------------------------------------------------------------")
print(" Texte en UTF-8 (avec symboles particuliers ;-) ")
print("------------------------------------------------------------------------")
liste_lignes_utf =  ExtraireLignesFichier_UTF8("fable_utf8_symboles.txt")
for element in liste_lignes_utf:
    print(element,end='')
print("\n")
print("                                    Total : ",NombreCaractères(liste_lignes_utf), "caractères")    





